.event-squares {
  display: flex;
  flex-direction: column;
}
@media (min-width: 768.02px) {
  .event-squares {
    display: grid;
    grid-template-columns: 1fr;
    flex-wrap: wrap;
  }
  .event-squares:has(> :nth-child(2)) {
    grid-template-columns: repeat(2, 1fr);
  }
}
.event-squares .event-square {
  display: flex;
  padding-top: 48px;
  padding-bottom: 48px;
}
@media (min-width: 375.02px) {
  .event-squares .event-square {
    padding-top: 56px;
    padding-bottom: 56px;
  }
}
@media (min-width: 768.02px) {
  .event-squares .event-square {
    padding-top: 64px;
    padding-bottom: 64px;
  }
  .event-squares .event-square:last-child:nth-child(odd) {
    grid-column: 1/span 2; /* Start at col 1, span across 2 */
  }
}
.event-squares .event-square:nth-child(4n+1) {
  background: url(../../utils/backgrounds/event-wave-pattern.svg) no-repeat right, #FFF;
  background-size: contain;
}
.event-squares .event-square:nth-child(4n+2) {
  background: url(../../utils/backgrounds/event-line-pattern.svg) no-repeat right, #FEF6EE;
}
.event-squares .event-square:nth-child(4n+3) {
  background: url(../../utils/backgrounds/event-swirl-pattern.svg) no-repeat right, #FDEAD7;
}
.event-squares .event-square:nth-child(4n) {
  background: url(../../utils/backgrounds/event-dashed-pattern.svg) no-repeat right, #F47721;
}
.event-squares .event-square:nth-child(4n) .event-square__date,
.event-squares .event-square:nth-child(4n) .event-square__time,
.event-squares .event-square:nth-child(4n) .event-square__title {
  color: #FFF;
}
.event-squares .event-square:nth-child(4n) .event-square__location svg path {
  stroke: #FFF;
}
.event-squares .event-square:nth-child(4n) .event-square__location p {
  color: #FFF;
}
.event-squares .event-square .container {
  display: flex;
  flex-direction: column;
  gap: 32px;
  flex: 1;
  justify-content: space-between;
}
.event-squares .event-square__date {
  font-family: "Manrope", sans-serif;
  font-size: 20px;
  line-height: 30px;
  font-weight: 600;
  color: #101828;
}
.event-squares .event-square__time {
  font-family: "Manrope", sans-serif;
  font-size: 20px;
  line-height: 30px;
  font-weight: 600;
  color: #101828;
}
.event-squares .event-square__title {
  font-family: "Manrope", sans-serif;
  font-size: 30px;
  line-height: 38px;
  font-weight: 600;
  color: #F46E15;
}
.event-squares .event-square__location {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
}
.event-squares .event-square__location svg {
  padding-top: 2px;
  width: 24px;
  height: 24px;
}
.event-squares .event-square__location svg path {
  stroke: #F46E15;
}
.event-squares .event-square__location p {
  font-family: "Manrope", sans-serif;
  font-size: 16px;
  line-height: 24px;
  font-weight: 600;
  color: #F46E15;
}
.event-squares .event-square .btn {
  align-self: flex-start;
}
.event-squares .event-square.info .event-square__title {
  font-family: "Manrope", sans-serif;
  font-size: 36px;
  line-height: 44px;
  font-weight: 600;
  color: #101828;
}
.event-squares .event-square.info .event-square__supportingText {
  font-family: "Manrope", sans-serif;
  font-size: 20px;
  line-height: 30px;
  font-weight: 400;
  color: #475467;
}